import { defineStore } from 'pinia'

export const userDetailStore = defineStore('detail', {
  state: () => ({
    detailTitle: "",
    detailUrl: "",
  }),
  actions: {
    setTitle(val: string) {
      this.detailTitle = val;
    },
    setFileUrl(val: string) {
      this.detailUrl = val;
    }
  },
  persist: {
    enabled: true // 开启数据缓存
  }
})
